Bug 478846 - Review Request: cpm - Console Password Manager
Review Request: cpm - Console Password Manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On: 478773
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-05 10:44 EST by Marek Mahut
Modified: 2009-01-18 14:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-18 14:21:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Fix the std{in,out,err} openness test (1.00 KB, text/plain)
2009-01-08 10:58 EST, Lubomir Rintel
no flags Details

  None (edit)
Description Marek Mahut 2009-01-05 10:44:28 EST
Spec URL: http://mmahut.fedorapeople.org/reviews/cpm/cpm.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/cpm/cpm-0.23-0.1.beta.fc8.src.rpm
Description: CPM is a ncurses based console tool to manage passwords
and store them public key encrypted in a file - even for
more than one person. The encryption is handled via GnuPG
so the programs data can be accessed via gpg as well,
in case you want to have a look inside. The data is stored
as as zlib compressed XML so it’s even possible to reuse
the data for some other purpose.
Comment 1 Lubomir Rintel 2009-01-08 10:58:28 EST
Created attachment 328474 [details]
Fix the std{in,out,err} openness test

Much better than initial package; thanks for the patches! Upstream may be interested in them as well!

1.) Useless requires

Requires:       cracklib
Requires:       gpgme
Requires:       cdk
Requires:       dotconf
Requires:       ncurses
Requires:       libxml2 >= 2.6.16
Requires:       zlib

All these are useless please remove them. They appropriate dependnecies are generated automatically.

2.) You don't use optflags. Marek! What a shame!

The culprit is CFLAGS= that you pass to %configure which uses its CFLAGS=. Please change it to CPPFLAGS!

Once FORTIFY_SOURCE is in effect it will reveal that you use open() incorrectly. I attached a fix.
Comment 2 Marek Mahut 2009-01-08 11:25:49 EST
:) Thank you for comments, I belive all is fixed now.

Spec URL: http://mmahut.fedorapeople.org/reviews/cpm/cpm.spec
SRPM URL:
http://mmahut.fedorapeople.org/reviews/cpm/cpm-0.23-0.1.beta.fc8.src.rpm
Comment 3 Lubomir Rintel 2009-01-08 13:48:18 EST
cpm.i386: W: file-not-utf8 /usr/share/doc/cpm-0.23/cpm.1.gz
cpm.i386: W: file-not-utf8 /usr/share/man/man1/cpm.1.gz

This file is included twice. Remove it from %doc
Furthermore it is not a valid roff source to a manual page, but a formatted txt file which looks well when viewed as a manual page.
Comment 5 Lubomir Rintel 2009-01-09 06:21:15 EST
Well done, good to go

APPROVED
Comment 6 Marek Mahut 2009-01-09 06:33:09 EST
Thank you.

New Package CVS Request
=======================
Package Name: cpm
Short Description: Console Password Manager
Owners: mmahut
Branches: F-10 F-9 EL-5
Comment 7 Kevin Fenzi 2009-01-11 11:57:02 EST
cvs done.
Comment 8 Lubomir Rintel 2009-01-18 14:21:00 EST
This seems imported & built. Closing.

Note You need to log in before you can comment on or make changes to this bug.